* program to provide the full set of regressions
* using data from scratch
#delimit;

clear;
savereg, clear;
set memory 300000;
set matsize 100;
* cd c:\manu\papers\taxref\statend\regress;


cap log close;

log using c:\manu\papers\taxref\statend\regress\basic2.log, replace;

* ROBUST STANDARD ERRORS;

* USING NEW SCRATCH/data;

* CAPPING  |log(income2/income)|<7 i.e. 1/1000<|income2/income|<1000;

* NO YEAR*LOG(INCOME) INTERACTIONS;
* CAP = $1,000,000;

log off;

log on;
* table 4: basic results - 3 year lag;
use d:\scratch\d3tallex;
scalar define caph=1000000;
log off;
scalar define trim=7;
replace dlogbr=-trim if dlogbr<-trim & dlogbr!=.;
replace dlogbr=trim if dlogbr>trim & dlogbr!=.;
replace dlogtct=-trim if dlogtct<-trim & dlogtct!=.;
replace dlogtct=trim if dlogtct>trim & dlogtct!=.;
replace dlogtcp=-trim if dlogtcp<-trim & dlogtcp!=.;
replace dlogtcp=trim if dlogtcp>trim & dlogtcp!=.;
do table4b;
clear;

/*
log on;
* table 6: heterogeneity- 3 year lag;
use d:\scratch\d3tallex;
scalar define caph=1000000;
log off;
scalar define trim=7;
replace dlogbr=-trim if dlogbr<-trim & dlogbr!=.;
replace dlogbr=trim if dlogbr>trim & dlogbr!=.;
replace dlogtct=-trim if dlogtct<-trim & dlogtct!=.;
replace dlogtct=trim if dlogtct>trim & dlogtct!=.;
replace dlogtcp=-trim if dlogtcp<-trim & dlogtcp!=.;
replace dlogtcp=trim if dlogtcp>trim & dlogtcp!=.;
do table6b;
clear;

*/


log close;
