#delimit;

log off;

scalar define bog=1000;
scalar define dev1=bog;
scalar define dev2=bog;
scalar define dev3=bog;
scalar define dev4=bog;
scalar define bug=1;
scalar define wmin=10000;
scalar define wmax=10e+10;
scalar define wmin2=wmin/bog;
scalar define wmax2=bog*wmax;

log on;

* BROAD;

replace wegtt=min(broadnr,caph) if wegtt!=1;
regress dlogbr dmargt  mrs1 mrs2 year79-year88 yz79-yz88
logbr splbro1-splbro10 (dmargp mrs1 mrs2 year79-year88
yz79-yz88  logbr splbro1-splbro10)  [w=wegtt]
if broadn/pce>wmin & broadn2/pce2>wmin2 & broadn/pce<wmax & broadn2/pce2<wmax2
& inceff!=. & dmargt!=. & mars==mars2 &
 abs(dmargp)+abs(dmargt)<bug & marsi==0, robust cluster(id);


* TAXABLE;

replace wegtt=min(taxct,caph) if wegtt!=1;
regress dlogtct dmargt  mrs1 mrs2 year79-year88  yzt79-yzt88   logtct
spltct1-spltct10
(dmargp mrs1 mrs2 year79-year88  yzt79-yzt88  logtct
spltct1-spltct10 )  [w=wegtt]
if broadn/pce>wmin & broadn2/pce2>wmin2 & broadn/pce<wmax & broadn2/pce2<wmax2
& taxct>0
& inceff!=. & dmargt!=. & mars==mars2 &
 abs(dmargp)+abs(dmargt)<bug & marsi==0, robust cluster(id);
